﻿#pragma TextEncoding = "UTF-8"
#pragma rtGlobals=3		// Use modern global access method and strict wave access.



	Function AddAge2DepthPlot( )
		SetDataFolder root:
			String/G G_TickWave, G_TickDepthWave
			String TickWave = G_TickWave, TickDepthWave = G_TickDepthWave
		SetDataFolder root:Xtras:AgeTicks
			If( Strlen( WaveList( "*tick*", ";", "" ) ) == 0 )
				Abort "The tick waves need \"tick\" somewhere in their wavenames."
			Endif
			Prompt TickWave, "TEXT Wave with tick labels ( ages )", popup, SortList( WaveList( "*tick*", ";", "TEXT:1" ) )
			Prompt TickDepthWave, "Wave with tick depths", popup, SortList( WaveList( "*tick*", ";", "TEXT:0" ) )
			DoPrompt "AddAge2DepthPlot", TickWave, TickDepthWave
			G_TickWave = TickWave; G_TickDepthWave = TickDepthWave
			If( V_Flag == 1 )
				SetDataFolder root:
				AbortOnValue V_Flag, 0	
			EndIf		
		SetDataFolder root:
			Print "AddAge2DepthPlot_F( \"" + TickWave + "\", \"" + TickDepthWave + "\" )"
			AddAge2DepthPlot_F( TickWave, TickDepthWave )
	End
			
	Function AddAge2DepthPlot_F( TickWave, DepthWave )
			String TickWave, DepthWave
		SetDataFolder root:Xtras:AgeTicks					
			WAVE/T AgeTicks = $TickWave
			WAVE AgeTickDepths = $DepthWave
//			NewFreeAxis/O/R AgeTickAxis
//			ModifyFreeAxis AgeTickAxis, Master = Left
			NewFreeAxis/O/T AgeTickAxis
			ModifyFreeAxis AgeTickAxis, Master = DepthAxis
			ModifyGraph userticks(AgeTickAxis)={AgeTickDepths,AgeTicks}
			ModifyGraph mirror(DepthAxis)=0
			ModifyGraph freePos(AgeTickAxis)=0
			Label AgeTickAxis "Age"
			ModifyGraph lblPosMode(AgeTickAxis)=4,lblPos(AgeTickAxis)=40
		SetDataFolder root:			
	End		
	
	Function RemoveAgeTicks()
		KillFreeAxis AgeTickAxis
	End
	
