﻿#pragma TextEncoding = "UTF-8"
#pragma rtGlobals=3		// Use modern global access method and strict wave access.


	Function Batch_AssembleCoreImages( )
		SetDataFolder root:
			String/G G_Folder
			String KFolderList, Folder = G_Folder, KFolder
			String AllFolders = "root:;" + FolderList( "*" )
			Prompt Folder, "Select the folder holding the K folders:", popup, AllFolders
			DoPrompt "Batch_AssembleCoreImages", Folder;
			G_Folder = Folder; AbortOnValue V_Flag, 0
		SetDataFolder $Folder
			Variable i, CoreNum
			KFolderList = FolderList( "K_" )
			For( i = 0; i < ItemsInList( KFolderList ); i += 1 ) // K folders are copied to root: because the assemble funtion works frm root:
				KFolder = StringFromList( i, KFolderList )
//				DuplicateDataFolder/O = 1 $KFolder, root:$KFolder
				DuplicateDataFolder $KFolder, root:$KFolder
			EndFor
		SetDataFolder root:
			KFolderList = FolderList( "K_" )
			For( i = 0; i < ItemsInList( KFolderList ); i += 1 )
				KFolder = StringFromList( i, KFolderList )
				CoreNum = Str2Num( ThirdPart( KFolder ) )
				Assemble_Core_Image_F( SecondPart( KFolder ), Num2Str( CoreNum ), 0.002, "Y", "N", "Y" )			
				KillDataFolder $KFolder
			EndFor
	End