#pragma rtGlobals=3		// Use modern global access method and strict wave access.

Menu "CODD Spectral"
	"Next_Spectrum/O2"
	"Make_Interpolated_Wave"
	"Make_Residual"
	"SpectralAgeDepthFit"
	"SpectralReFit"
	"SetWeights"
	"Weight_0"
//	"Spectrogram"
	"NewSpectrogram"
	"Extract_Power"
	"AppendPolyPredictions"
	"AppendFreqPicks"
	"Power_CsrA_CsrB"
	"AgeDataSelection"
	"FrequencyTable"
	"Power_Window"
	"Norm_Amp"
	"Spectral_SetUp"
	"MakeInterpolatedAgeWave"
//	"Age_Spectrogram"
	"NewAgeSpectrogram"
	"AddPeriodTicks"
	"RemovePeriodTicks"
	"Extract_PowerAge"
	"DataFilter"
	"CursorA_DataFilter"
End

#include "AddPeriodTicks"
#include "Age_Depth_Plot"
#include "Age_Spectrogram"
#include "AppendFreqPicks"
#include "AppendPolyPredictions"
#include "CalculatePolyPredictions"
#Include	"CursorA_DataFilter"
#include	"DataFilter"
#include "Extract_Power"
#include "FolderList"
#include "FrequencyTable"
#include "MakeInterpolatedAgeWave"
#include "Make_Interpolated_Wave"
#include "Make_Residual"
#Include 	"NewSpectrogram"
#include "NewAgeSpectrogram"
#include "Next_Spectrum"
#include "SpectralAgeDepthFit"
#include "Power_CsrA_CsrB"
#include "Print_Cursor_Period"
#include "SaveWindowMacro"
#Include "SpectralReFit"
#include "Spectral_SetUp"
#include "SPECTROGRAM"
#include "Spectral_Windows"
