﻿#pragma TextEncoding = "UTF-8"
#pragma rtGlobals=3		// Use modern global access method and strict wave access.

	Function PlotCoreTops( )
			String/G G_DataWv, G_Axis
			String DataWv = G_DataWv, Axis = G_Axis
		SetDataFolder root:
			String Traces = TraceNameList( "", ";", 1 )
			String AxesList = AxisList( "" )
			Prompt DataWv, "Select a trace", popup, Traces
			Prompt Axis, "Axis", popup, AxesList
			DoPrompt "PlotCoreTops", DataWv, Axis
			G_DataWv = DataWv; G_Axis = Axis
			AbortOnValue V_Flag, 0
			Print "PlotCoreTops_F( \"" + DataWv + "\", \"" + Axis + "\" )"
			PlotCoreTops_F( DataWv, Axis )
	End

	Function PlotCoreTops_F( DataWv, Axis )
			String DataWv, Axis
		SetDataFolder root:
			String Traces = TraceNameList( "", ";", 1 )
			String AxesList = AxisList( "" )
			String Hole = DataWaveHole( DataWv ), Technique = DataWaveTechnique( DataWv )
		NewDataFolder/O/S root:Xtras
		NewDataFolder/O/S root:Xtras:CoreTopWaves
			If( !Exists( Hole	+ "_" + Technique + "_" + "CoreTopDepth" ) )
				ABORT "You must run \"MarkDataCoreTops( )\" to form ( in Xtras:CoreTopWaves ) the waves needed to plot core tops"
			EndIf
			If( StrSearch( Traces, Hole	+ "_" + Technique + "_" + "CoreTopDataVal", 0 ) > -1 )
				ABORT "The core tops for " + DataWv + " are already plotted on the top graph.\r\rRemove them if you can't see them using \"Remove From Graph\" under the graph menu."
			EndIf
			WAVE Depth = $Hole	+ "_" + Technique + "_" + "CoreTopDepth"		
			WAVE DataVal = $Hole	+ "_" + Technique + "_" + "CoreTopDataVal"		
			WAVE CoreNumber = $Hole	+ "_" + Technique + "_" + "CoreTopNumber"
			AppendToGraph/R=$Axis DataVal vs Depth
			ModifyGraph mode( $NameOfWave( DataVal ) )=3,msize( $NameOfWave( DataVal ) )=5,textMarker( $NameOfWave( DataVal ) ) = { $NameOfWave( CoreNumber ),"default",0,0,5,0.00,0.00}			
		SetDataFolder root:
	End
