﻿#pragma TextEncoding = "UTF-8"
#pragma rtGlobals=3		// Use modern global access method and strict wave access.


	
	Function SelectCore( )
		SetDataFolder root:
			Variable/G G_Core
			String/G G_Technique, G_Hole, G_Data, G_Scale
			Variable Core = G_Core
			String Technique = G_Technique, Hole = G_Hole, Data = G_Data, Scale = G_Scale
			Prompt Hole, "Hole"
			Prompt Core, "Core Number"
			Prompt Technique, "Technique"
			Prompt Data, "Data Type"
			Prompt Scale, "Depth Scale (e.g. CSF, CCSF...)"
			DoPrompt "SelectCore", Hole, Core, Technique, Data, Scale
			G_Core = Core
			G_Technique = Technique; G_Hole = Hole; G_Data = Data; G_Scale = Scale
			SelectCore_F( Hole, Core, Technique, Data, Scale )
			Print "SelectCore_F( \"" + Hole + "\", " + Num2Str( Core ) + ", \"" + Technique + "\", \"" + Data + "\", \"" + Scale + "\" )"
	End
	
---------------------------------------------------------------
	
	Function SelectCore_F( Hole, Core, Technique, Data, Scale )
		Variable Core
		String Technique, Hole, Data, Scale
		SetDataFolder root:
			String Site = RemoveEnding( Hole )
		SetDataFolder $Site + "_" + Technique
			WAVE DataWv = $Hole + "_" + Technique + "_" + Data
			WAVE CoreWv = $Hole + "_" + Technique + "_" + "Core"
			WAVE DepthWv = $Hole + "_" + Technique + "_" + Scale
		NewDataFolder/O/S $"root:Xtras"
			Duplicate/O DataWv CoreData, CoreDepth
			CoreData = CoreWv == Core ? DataWv[p] : NaN
			CoreDepth = CoreWv == Core ? DepthWv[p] : NaN
			WaveStats/Q CoreData	
			If( V_Npnts < 1 )
				SetDataFolder root:
				ABORT "There are no lab data for core " + Hole + "_" + Num2Str( Core )
			EndIf
			Sort CoreDepth, CoreData, CoreDepth
			ReDimension/N = ( V_Npnts ) CoreData, CoreDepth
		SetDataFolder root:
	End
	
---------------------------------------------------------------