#pragma rtGlobals=3		// Use modern global access method and strict wave access.	
	
	Menu "CODD_Functions"
		SubMenu "SampleID From Depth Or Cursor"
				"CSI_From_Depth"			
				"CSI_from_List"			
				"CSI_From_CsrA_CCSF"
				"CSI_From_CsrB_CCSF"
				"CSI_from_SpliceDepth"
				"CSI_from_SpliceList"
		End	
		SubMenu "Depth from SampleID"
				"CSF_CCSF_from_CSI"
				"CSF_CCSF_from_List"
		End	
		SubMenu "WaveNote Functions"
			"Add_CsrA_WaveNote"
			"Add_CsrB_WaveNote"
			"Folder_WaveNotes"
			"Selected_WaveNotes"
			"Print_CsrA_WaveNote"
			"Print_CsrB_WaveNote"
		End
		SubMenu "Cursor_Styles"
			"Set_Cursors_Black",/Q
			"Set_Cursors_White",/Q
			"Set_Cursors_Yellow",/Q
			"Set_Cursors_Green",/Q
			"Set_Cursors_Red",/Q
			"Set_Cursors_Vert_Black",/Q
			"Set_Cursors_Vert_White",/Q
			"Set_Cursors_Vert_Yellow",/Q
			"Set_Cursors_Vert_Red",/Q
		End
		SubMenu "Close\Open All Windows"
			"CloseAllWindows"
			"RecallWindows"
		End
		"Tag_CursorA",/Q
		"CursorAOff/F2"
		"CursorBOff/F3"
		"Batch_Rename_Waves"
		"Clean_Expt_Fldrs"
		"Kill_Globals"
		"Register_Image"
		"Rotate_Image"
		"CheckMatrixDepths"
		"Replace_NaNswithNumber"
		"MakeDepthScanMovie"
		"Interpolation"
		"RemoveBlanksFromHoleWave"
	End

#include "Add_WaveNote"
#include "Batch_Rename_Waves"
#include "CheckMatrixDepths"
#include "Clean_Expt_Fldrs"
#include "CloseAllWindows"
#include "CSI_From_CCSF"
#include "CSF_CCSF_from_List"
#include "CSF_CCSF_from_CSI"
#include "CursorsOnOff"
#include "ExpTransfer"
#include "Interpolation"
#include "Kill_Globals"
#include "MakeDepthScanMovie"
#include "Replace_NaNswithNumber"
#include "RemoveBlanksFromHoleWave"
#Include 	"Register_Image"
#Include "Rotate_Image"
#include "Set_Cursor_Style"
#include "Tag_CursorA"


